from sprites import *
from random import random

# X et Y sont la hauteur et
# la longueur de la grille
X=7  # 19 par d  faut
Y=21  # 38 par d  faut

# step est le nombre de
# g  n  rations calcul  es
# avant d'afficher la
# grille
step = 1

# dessin qui repr  sente
# la cellule (sprite au
# format du module sprite)
dessin_cellule = square  # alternatives: square, circle, heart, dot
# la taille de la cellule.
# plus cette variable est
# grande, plus les cellules
# seront espac  es.
# par exemple, le sprite dot
#    une taille de 5 alors que
# les spriteq square et
# circle ont une taille de 10.
taille_cellule = 10

# initialisation de la grille.
# vous pouvez entrer votre
# propre grille    la place.
grille = [[random() < .5 for _ in range(X)] for _ in range(Y)]
#grille=[[0,1,0,0],[0,1,0,0],[0,1,0,0],[0,0,0,0]]

# mise    0 du nombre de g  n  rations
generation = 0

# boucle principale
while True:
  # copie de l'ancienne grille
  old = [line.copy()for line in grille]
  # effacement l'  cran au bon moment selon step
  if not (generation+1)%step:
    clear_screen()
  # changement de g  n  ration
  generation+=1
  # parcours de la grille
  for x in range(X):
    for y in range(Y):
      # enregistrement des voisins
      voisins = sum(map(lambda dx, dy: old[(y+dy)%Y][(x+dx)%X],
                        (-1,-1,-1,0,0,1,1,1), (-1,0,1,-1,1,-1,0,1)))
      # application de la r  gle (les anciennes valeurs sont   cras  es)
      grille[y][x]=(voisins==3) or (voisins==2 and old[y][x])
      # affichage de la cellule actuelle
      if grille[y][x]and not generation%step:
        draw(dessin_cellule,taille_cellule*x,taille_cellule*y)  # fonction draw du module sprite
        # remplacer la ligne
        # pr  c  dente (56) par
        # la suivante (64)
        # permet de faire une
        # grille plus grande
        # et d'augmenter la
        # vitesse d'affichage.
#        set_pixel(y,x)
  # rafraichir l'  cran
#  draw_string(0,0,str(generation),(180,180,180),"small")
  print(generation)
  show_screen()
