from casioplot import *

def draw(liste, x=0, y=0, col=(0,0,0)):
  for Cy, Cx in liste:
    set_pixel(Cy+y,Cx+x,col)

def meta_draw(sprite, meta_sprite, mult_x, mult_y):
  for Cx, Cy in meta_sprite:
    draw(sprite, Cy*10, Cx*10)

square = [(x,y) for x in range(10) for y in range(10)]

circle = [
  (4,1),(5,1),
  (2,2),(3,2),(4,2),(5,2),(6,2),(7,2),
  (1,3),(2,3),(3,3),(4,3),(5,3),(6,3),(7,3),(8,3),
  (0,4),(1,4),(2,4),(3,4),(4,4),(5,4),(6,4),(7,4),(8,4),(9,4),
  (0,5),(1,5),(2,5),(3,5),(4,5),(5,5),(6,5),(7,5),(8,5),(9,5),
  (0,6),(1,6),(2,6),(3,6),(4,6),(5,6),(6,6),(7,6),(8,6),(9,6),
  (0,7),(1,7),(2,7),(3,7),(4,7),(5,7),(6,7),(7,7),(8,7),(9,7),
  (1,8),(2,8),(3,8),(4,8),(5,8),(6,8),(7,8),(8,8),
  (2,9),(3,9),(4,9),(5,9),(6,9),(7,9),
  (4,10),(5,10)
]

sq = [(n,0) for n in range(10)]+[
  (0,1),(9,1),
  (0,2),(9,2),
  (0,3),(9,3),
  (0,4),(9,4),
  (0,5),(9,5),
  (0,6),(9,6),
  (0,7),(9,7),
  (0,8),(9,8),
  (0,9),(9,9),
]+[(x,9) for x in range(10)]

circ = [
  (3,1),(4,1),(5,1),(6,1),
  (2,2),(7,2),
  (1,3),(8,3),
  (0,4),(9,4),
  (0,5),(9,5),
  (0,6),(9,6),
  (0,7),(9,7),
  (1,8),(8,8),
  (2,9),(7,9),
  (3,10),(4,10),(5,10),(6,10)
]

dot = [
  (0,0),(1,0),(2,0),(3,0),(4,0),
  (0,1),(1,1),(2,1),(3,1),(4,1),
  (0,2),(1,2),(2,2),(3,2),(4,2),
  (0,3),(1,3),(2,3),(3,3),(4,3),
  (0,4),(1,4),(2,4),(3,4),(4,4)
]

heart = [
  (2,2),(3,2),(4,2),(6,2),(7,2),(8,2),
  ]+[(x,3)for x in range(1,10)]+[
  ]+[(x,4)for x in range(1,10)]+[
  ]+[(x,5)for x in range(2,9)]+[
  ]+[
  (3,6),(4,6),(5,6),(6,6),(7,6),
  (4,7),(5,7),(6,7),
  (5,8)
]  

